JPADotNames (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations
Interface JPADotNames

All Known Subinterfaces:
  IndexedAnnotationFilter

    public interface JPADotNames

Defines the dot names for the JPA annotations

Field Summary
`static org.jboss.jandex.DotName` | `ACCESS`
`static org.jboss.jandex.DotName` | `ACCESS_TYPE`
`static org.jboss.jandex.DotName` | `ASSOCIATION_OVERRIDE`
`static org.jboss.jandex.DotName` | `ASSOCIATION_OVERRIDES`
`static org.jboss.jandex.DotName` | `ATTRIBUTE_OVERRIDE`
`static org.jboss.jandex.DotName` | `ATTRIBUTE_OVERRIDES`
`static org.jboss.jandex.DotName` | `BASIC`
`static org.jboss.jandex.DotName` | `CACHEABLE`
`static org.jboss.jandex.DotName` | `CASCADE_TYPE`
`static org.jboss.jandex.DotName` | `COLLECTION_TABLE`
`static org.jboss.jandex.DotName` | `COLUMN`
`static org.jboss.jandex.DotName` | `COLUMN_RESULT`
`static org.jboss.jandex.DotName` | `DISCRIMINATOR_COLUMN`
`static org.jboss.jandex.DotName` | `DISCRIMINATOR_TYPE`
`static org.jboss.jandex.DotName` | `DISCRIMINATOR_VALUE`
`static org.jboss.jandex.DotName` | `ELEMENT_COLLECTION`
`static org.jboss.jandex.DotName` | `EMBEDDABLE`
`static org.jboss.jandex.DotName` | `EMBEDDED`
`static org.jboss.jandex.DotName` | `EMBEDDED_ID`
`static org.jboss.jandex.DotName` | `ENTITY`
`static org.jboss.jandex.DotName` | `ENTITY_LISTENERS`
`static org.jboss.jandex.DotName` | `ENTITY_RESULT`
`static org.jboss.jandex.DotName` | `ENUM_TYPE`
`static org.jboss.jandex.DotName` | `ENUMERATED`
`static org.jboss.jandex.DotName` | `EXCLUDE_DEFAULT_LISTENERS`
`static org.jboss.jandex.DotName` | `EXCLUDE_SUPERCLASS_LISTENERS`
`static org.jboss.jandex.DotName` | `FETCH_TYPE`
`static org.jboss.jandex.DotName` | `FIELD_RESULT`
`static org.jboss.jandex.DotName` | `GENERATED_VALUE`
`static org.jboss.jandex.DotName` | `GENERATION_TYPE`
`static org.jboss.jandex.DotName` | `ID`
`static org.jboss.jandex.DotName` | `ID_CLASS`
`static org.jboss.jandex.DotName` | `INHERITANCE`
`static org.jboss.jandex.DotName` | `INHERITANCE_TYPE`
`static org.jboss.jandex.DotName` | `JOIN_COLUMN`
`static org.jboss.jandex.DotName` | `JOIN_COLUMNS`
`static org.jboss.jandex.DotName` | `JOIN_TABLE`
`static org.jboss.jandex.DotName` | `LOB`
`static org.jboss.jandex.DotName` | `LOCK_MODE_TYPE`
`static org.jboss.jandex.DotName` | `MANY_TO_MANY`
`static org.jboss.jandex.DotName` | `MANY_TO_ONE`
`static org.jboss.jandex.DotName` | `MAP_KEY`
`static org.jboss.jandex.DotName` | `MAP_KEY_CLASS`
`static org.jboss.jandex.DotName` | `MAP_KEY_COLUMN`
`static org.jboss.jandex.DotName` | `MAP_KEY_ENUMERATED`
`static org.jboss.jandex.DotName` | `MAP_KEY_JOIN_COLUMN`
`static org.jboss.jandex.DotName` | `MAP_KEY_JOIN_COLUMNS`
`static org.jboss.jandex.DotName` | `MAP_KEY_TEMPORAL`
`static org.jboss.jandex.DotName` | `MAPPED_SUPERCLASS`
`static org.jboss.jandex.DotName` | `MAPS_ID`
`static org.jboss.jandex.DotName` | `NAMED_NATIVE_QUERIES`
`static org.jboss.jandex.DotName` | `NAMED_NATIVE_QUERY`
`static org.jboss.jandex.DotName` | `NAMED_QUERIES`
`static org.jboss.jandex.DotName` | `NAMED_QUERY`
`static org.jboss.jandex.DotName` | `ONE_TO_MANY`
`static org.jboss.jandex.DotName` | `ONE_TO_ONE`
`static org.jboss.jandex.DotName` | `ORDER_BY`
`static org.jboss.jandex.DotName` | `ORDER_COLUMN`
`static org.jboss.jandex.DotName` | `PERSISTENCE_CONTEXT`
`static org.jboss.jandex.DotName` | `PERSISTENCE_CONTEXTS`
`static org.jboss.jandex.DotName` | `PERSISTENCE_PROPERTY`
`static org.jboss.jandex.DotName` | `PERSISTENCE_UNIT`
`static org.jboss.jandex.DotName` | `PERSISTENCE_UNITS`
`static org.jboss.jandex.DotName` | `POST_LOAD`
`static org.jboss.jandex.DotName` | `POST_PERSIST`
`static org.jboss.jandex.DotName` | `POST_REMOVE`
`static org.jboss.jandex.DotName` | `POST_UPDATE`
`static org.jboss.jandex.DotName` | `PRE_PERSIST`
`static org.jboss.jandex.DotName` | `PRE_REMOVE`
`static org.jboss.jandex.DotName` | `PRE_UPDATE`
`static org.jboss.jandex.DotName` | `PRIMARY_KEY_JOIN_COLUMN`
`static org.jboss.jandex.DotName` | `PRIMARY_KEY_JOIN_COLUMNS`
`static org.jboss.jandex.DotName` | `QUERY_HINT`
`static org.jboss.jandex.DotName` | `SECONDARY_TABLE`
`static org.jboss.jandex.DotName` | `SECONDARY_TABLES`
`static org.jboss.jandex.DotName` | `SEQUENCE_GENERATOR`
`static org.jboss.jandex.DotName` | `SQL_RESULT_SET_MAPPING`
`static org.jboss.jandex.DotName` | `SQL_RESULT_SET_MAPPINGS`
`static org.jboss.jandex.DotName` | `TABLE`
`static org.jboss.jandex.DotName` | `TABLE_GENERATOR`
`static org.jboss.jandex.DotName` | `TEMPORAL`
`static org.jboss.jandex.DotName` | `TEMPORAL_TYPE`
`static org.jboss.jandex.DotName` | `TRANSIENT`
`static org.jboss.jandex.DotName` | `UNIQUE_CONSTRAINT`
`static org.jboss.jandex.DotName` | `VERSION`

Field Detail

### ACCESS

    static final org.jboss.jandex.DotName ACCESS

### ACCESS_TYPE

    static final org.jboss.jandex.DotName ACCESS_TYPE

### ASSOCIATION_OVERRIDE

    static final org.jboss.jandex.DotName ASSOCIATION_OVERRIDE

### ASSOCIATION_OVERRIDES

    static final org.jboss.jandex.DotName ASSOCIATION_OVERRIDES

### ATTRIBUTE_OVERRIDE

    static final org.jboss.jandex.DotName ATTRIBUTE_OVERRIDE

### ATTRIBUTE_OVERRIDES

    static final org.jboss.jandex.DotName ATTRIBUTE_OVERRIDES

### BASIC

    static final org.jboss.jandex.DotName BASIC

### CACHEABLE

    static final org.jboss.jandex.DotName CACHEABLE

### CASCADE_TYPE

    static final org.jboss.jandex.DotName CASCADE_TYPE

### COLLECTION_TABLE

    static final org.jboss.jandex.DotName COLLECTION_TABLE

### COLUMN

    static final org.jboss.jandex.DotName COLUMN

### COLUMN_RESULT

    static final org.jboss.jandex.DotName COLUMN_RESULT

### DISCRIMINATOR_COLUMN

    static final org.jboss.jandex.DotName DISCRIMINATOR_COLUMN

### DISCRIMINATOR_TYPE

    static final org.jboss.jandex.DotName DISCRIMINATOR_TYPE

### DISCRIMINATOR_VALUE

    static final org.jboss.jandex.DotName DISCRIMINATOR_VALUE

### ELEMENT_COLLECTION

    static final org.jboss.jandex.DotName ELEMENT_COLLECTION

### EMBEDDABLE

    static final org.jboss.jandex.DotName EMBEDDABLE

### EMBEDDED

    static final org.jboss.jandex.DotName EMBEDDED

### EMBEDDED_ID

    static final org.jboss.jandex.DotName EMBEDDED_ID

### ENTITY

    static final org.jboss.jandex.DotName ENTITY

### ENTITY_LISTENERS

    static final org.jboss.jandex.DotName ENTITY_LISTENERS

### ENTITY_RESULT

    static final org.jboss.jandex.DotName ENTITY_RESULT

### ENUMERATED

    static final org.jboss.jandex.DotName ENUMERATED

### ENUM_TYPE

    static final org.jboss.jandex.DotName ENUM_TYPE

### EXCLUDE_DEFAULT_LISTENERS

    static final org.jboss.jandex.DotName EXCLUDE_DEFAULT_LISTENERS

### EXCLUDE_SUPERCLASS_LISTENERS

    static final org.jboss.jandex.DotName EXCLUDE_SUPERCLASS_LISTENERS

### FETCH_TYPE

    static final org.jboss.jandex.DotName FETCH_TYPE

### FIELD_RESULT

    static final org.jboss.jandex.DotName FIELD_RESULT

### GENERATION_TYPE

    static final org.jboss.jandex.DotName GENERATION_TYPE

### GENERATED_VALUE

    static final org.jboss.jandex.DotName GENERATED_VALUE

### ID

    static final org.jboss.jandex.DotName ID

### ID_CLASS

    static final org.jboss.jandex.DotName ID_CLASS

### INHERITANCE_TYPE

    static final org.jboss.jandex.DotName INHERITANCE_TYPE

### JOIN_COLUMN

    static final org.jboss.jandex.DotName JOIN_COLUMN

### INHERITANCE

    static final org.jboss.jandex.DotName INHERITANCE

### JOIN_COLUMNS

    static final org.jboss.jandex.DotName JOIN_COLUMNS

### JOIN_TABLE

    static final org.jboss.jandex.DotName JOIN_TABLE

### LOB

    static final org.jboss.jandex.DotName LOB

### LOCK_MODE_TYPE

    static final org.jboss.jandex.DotName LOCK_MODE_TYPE

### MANY_TO_MANY

    static final org.jboss.jandex.DotName MANY_TO_MANY

### MANY_TO_ONE

    static final org.jboss.jandex.DotName MANY_TO_ONE

### MAP_KEY

    static final org.jboss.jandex.DotName MAP_KEY

### MAP_KEY_CLASS

    static final org.jboss.jandex.DotName MAP_KEY_CLASS

### MAP_KEY_COLUMN

    static final org.jboss.jandex.DotName MAP_KEY_COLUMN

### MAP_KEY_ENUMERATED

    static final org.jboss.jandex.DotName MAP_KEY_ENUMERATED

### MAP_KEY_JOIN_COLUMN

    static final org.jboss.jandex.DotName MAP_KEY_JOIN_COLUMN

### MAP_KEY_JOIN_COLUMNS

    static final org.jboss.jandex.DotName MAP_KEY_JOIN_COLUMNS

### MAP_KEY_TEMPORAL

    static final org.jboss.jandex.DotName MAP_KEY_TEMPORAL

### MAPPED_SUPERCLASS

    static final org.jboss.jandex.DotName MAPPED_SUPERCLASS

### MAPS_ID

    static final org.jboss.jandex.DotName MAPS_ID

### NAMED_NATIVE_QUERIES

    static final org.jboss.jandex.DotName NAMED_NATIVE_QUERIES

### NAMED_NATIVE_QUERY

    static final org.jboss.jandex.DotName NAMED_NATIVE_QUERY

### NAMED_QUERIES

    static final org.jboss.jandex.DotName NAMED_QUERIES

### NAMED_QUERY

    static final org.jboss.jandex.DotName NAMED_QUERY

### ONE_TO_MANY

    static final org.jboss.jandex.DotName ONE_TO_MANY

### ONE_TO_ONE

    static final org.jboss.jandex.DotName ONE_TO_ONE

### ORDER_BY

    static final org.jboss.jandex.DotName ORDER_BY

### ORDER_COLUMN

    static final org.jboss.jandex.DotName ORDER_COLUMN

### PERSISTENCE_CONTEXT

    static final org.jboss.jandex.DotName PERSISTENCE_CONTEXT

### PERSISTENCE_CONTEXTS

    static final org.jboss.jandex.DotName PERSISTENCE_CONTEXTS

### PERSISTENCE_PROPERTY

    static final org.jboss.jandex.DotName PERSISTENCE_PROPERTY

### PERSISTENCE_UNIT

    static final org.jboss.jandex.DotName PERSISTENCE_UNIT

### PERSISTENCE_UNITS

    static final org.jboss.jandex.DotName PERSISTENCE_UNITS

### POST_LOAD

    static final org.jboss.jandex.DotName POST_LOAD

### POST_PERSIST

    static final org.jboss.jandex.DotName POST_PERSIST

### POST_REMOVE

    static final org.jboss.jandex.DotName POST_REMOVE

### POST_UPDATE

    static final org.jboss.jandex.DotName POST_UPDATE

### PRE_PERSIST

    static final org.jboss.jandex.DotName PRE_PERSIST

### PRE_REMOVE

    static final org.jboss.jandex.DotName PRE_REMOVE

### PRE_UPDATE

    static final org.jboss.jandex.DotName PRE_UPDATE

### PRIMARY_KEY_JOIN_COLUMN

    static final org.jboss.jandex.DotName PRIMARY_KEY_JOIN_COLUMN

### PRIMARY_KEY_JOIN_COLUMNS

    static final org.jboss.jandex.DotName PRIMARY_KEY_JOIN_COLUMNS

### QUERY_HINT

    static final org.jboss.jandex.DotName QUERY_HINT

### SECONDARY_TABLE

    static final org.jboss.jandex.DotName SECONDARY_TABLE

### SECONDARY_TABLES

    static final org.jboss.jandex.DotName SECONDARY_TABLES

### SEQUENCE_GENERATOR

    static final org.jboss.jandex.DotName SEQUENCE_GENERATOR

### SQL_RESULT_SET_MAPPING

    static final org.jboss.jandex.DotName SQL_RESULT_SET_MAPPING

### SQL_RESULT_SET_MAPPINGS

    static final org.jboss.jandex.DotName SQL_RESULT_SET_MAPPINGS

### TABLE

    static final org.jboss.jandex.DotName TABLE

### TABLE_GENERATOR

    static final org.jboss.jandex.DotName TABLE_GENERATOR

### TEMPORAL

    static final org.jboss.jandex.DotName TEMPORAL

### TEMPORAL_TYPE

    static final org.jboss.jandex.DotName TEMPORAL_TYPE

### TRANSIENT

    static final org.jboss.jandex.DotName TRANSIENT

### UNIQUE_CONSTRAINT

    static final org.jboss.jandex.DotName UNIQUE_CONSTRAINT

### VERSION

    static final org.jboss.jandex.DotName VERSION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.